nelmio_api_doc:
    models:
        use_jms: true
        names:
            - { alias: CustomerEditForm,          type: App\Form\CustomerEditForm,                groups: [Default, Entity, Customer] }
            - { alias: CustomerEntity,            type: App\Entity\Customer,                      groups: [Default, Entity, Customer] }
            - { alias: CustomerCollection,        type: App\Entity\Customer,                      groups: [Default, Collection, Customer] }
            - { alias: ProjectEditForm,           type: App\Form\ProjectEditForm,                 groups: [Default, Entity, Project] }
            - { alias: ProjectEntity,             type: App\Entity\Project,                       groups: [Default, Entity, Project] }
            - { alias: ProjectCollection,         type: App\Entity\Project,                       groups: [Default, Collection, Project] }
            - { alias: ActivityEditForm,          type: App\Form\ActivityEditForm,                groups: [Default, Entity, Activity] }
            - { alias: ActivityEntity,            type: App\Entity\Activity,                      groups: [Default, Entity, Activity] }
            - { alias: ActivityCollection,        type: App\Entity\Activity,                      groups: [Default, Collection, Activity] }
            - { alias: TimesheetEditForm,         type: App\Form\TimesheetEditForm,               groups: [Default, Entity, Timesheet] }
            - { alias: TimesheetEntity,           type: App\Entity\Timesheet,                     groups: [Default, Entity, Timesheet] }
            - { alias: TimesheetCollection,       type: App\Entity\Timesheet,                     groups: [Default, Collection, Timesheet] }
            - { alias: TimesheetSubCollection,    type: App\Entity\Timesheet,                     groups: [Default, Subresource, Timesheet] }
            - { alias: UserEntity,                type: App\Entity\User,                          groups: [Default, Entity, User] }
            - { alias: UserCollection,            type: App\Entity\User,                          groups: [Default, Collection, User] }
            - { alias: I18nConfig,                type: App\API\Model\I18n,                       groups: [Default] }
    areas:
        path_patterns:
            - ^/api(?!/doc)
    documentation:
#        host: '{{hostname}}'
        schemes: [http, https]
        info:
            title: Kimai 2 - API Docs
            description: |
                REST API for the Kimai 2 time-tracking software. It is not yet considered stable and BC breaks might happen, even though I try to avoid them as much as possible.
                - Collections return less data than explicit entity calls
                - DateTime formats are explained in detail at https://www.kimai.org/documentation/rest-api.html
            version: 0.3
#        parameters:
#            hostname:
#                name: hostname
#                in: url
#                description: the hostname where your api runs
#                required: true
#                type: string
        securityDefinitions:
            X-AUTH-USER:
                type: apiKey
                description: 'Value: {Username}'
                name: X-AUTH-USER
                in: header
            X-AUTH-TOKEN:
                type: apiKey
                description: 'Value: {API Token}'
                name: X-AUTH-TOKEN
                in: header
        security:
            - X-AUTH-USER: []
            - X-AUTH-TOKEN: []
